--- findgplv2.ORIG	2007-08-07 12:44:07.000000000 -0600
+++ findgplv2	2008-01-07 11:12:52.000000000 -0700
@@ -14,10 +14,10 @@
 maxSearchLines = 200
 
 # Don't recurse down these folders
-ignoreDirNames = re.compile('\.|\.\.|CVS')
+ignoreDirNames = re.compile('\.|\.\.|\.hg|CVS')
 
 # Don't bother with these files at all.
-ignoreFiles = re.compile('^.*\.(png|xbm|xpm)$')
+ignoreFiles = re.compile('.*\.(bmp|gpg|ico|png|ps\.gz|xbm|xpm)$|\.(cvs|hg)(ignore|tags)|README.*|.*(~|ChangeLog|NEWS)|depend|dir|install-sh|COPYING')
 
 gplv2 = re.compile('GNU General Public License as published by the Free Software Foundation; either version 2(| of the License), or \(at your option\) any later version\.')
 lgplv2 = re.compile('GNU Library General Public License as published by the Free Software Foundation; either version 2(| of the License), or \(at your option\) any later version\.')
@@ -47,25 +47,26 @@
     return ' '.join(lines)
 
 def checkGPLv2(f):
-    print '"' + f + '"',
     fstr = fileToStr(f)
     if gplv2.search(fstr):
-        print 'GPLv2'
+        pass
     elif lgplv2.search(fstr):
-        print 'LGPLv2'
+        pass
     else:
-        print '?'
-        
+        print f
+
 def findFiles(p):
     for f in os.listdir(p):
-        if ignoreFiles.match(f) or ignoreDirNames.match(f):
+        fn = os.path.join(p, f)
+        isdir = os.path.isdir(fn)
+
+        if (not isdir and ignoreFiles.match(f)) or (isdir and ignoreDirNames.match(f)):
             continue
 
-        fn = os.path.join(p, f)
-        if os.path.isdir(fn):
+        if isdir:
             findFiles(fn)
             continue
-        
+
         checkGPLv2(fn)
-    
+
 findFiles('.')
